# -*- rpm-spec -*-
# $Id: etherboot,v 1.6 2004/02/24 13:30:37 grigory Exp $

%define doc_version 5.2.2

Name: etherboot
version: 5.3.6
Release: alt1

Summary: %name - Boot ROM images for ethernet cards
License: GPL
Group: Networking/Other
Url: http://etherboot.sourceforge.net/

Source0: %name-%version.tar.bz2
Source1: %name-doc-%doc_version.tar.bz2
#Patch: %name-loader.S.patch

# Automatically added by buildreq on Tue Feb 24 2004
BuildRequires: groff-base cpp2.95 gcc2.95 openjade sgml-tools

%package contrib
Summary: Some %name tools
Group: Networking/Other
Requires: %name = %version-%release

%description
Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed.  Etherboot is code that can be put in such a ROM.  Etherboot
is normally used for for booting PCs diskless.

%description contrib
Some programs to work with etherboot ROM images.

%prep
%setup -q -a1
#%patch -p1

%build
%__subst "s|gcc|kgcc|" src/Config
%make_build -C src OPTIMIZE="$RPM_OPT_FLAGS"
# %make_build -C doc OPTIMIZE="$RPM_OPT_FLAGS"

%install
%__mkdir_p %buildroot%_bindir
for f in contrib/{bootptodhcp/*.pl,mntnbi/mntnbi.pl,initrd/{include-modules,mkinitrd-net,mknbi-set}} ; do
	%__install -p -m755 $f %buildroot%_bindir
done

%__mkdir_p %buildroot%_datadir/%name/3Com
%__mv src/bin/3c*img %buildroot%_datadir/%name/3Com
%__mv src/bin/*img %buildroot%_datadir/%name

%files
%doc COPYING INSTALL LOG RELNOTES VERSION index.html doc/text doc/html
%_datadir/%name

%files contrib
%_bindir/*

%changelog
* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 5.3.6-alt1
- new version released

* Fri Oct  3 2003 Grigory Milev <week@altlinux.ru> 5.3.2-alt1
- new version released
- fix buildrequires

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 5.0.7-alt1
- new version released
- correct buildrequires
- remover perl from build requires

* Thu Jan  3 2002 Grigory Milev <week@altlinux.ru> 5.0.5-alt1
- new version released

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.0.4-alt2
- Minor specfile cleanup.
- Changed BuildArch.
- Updated requires and buildrequires.

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 5.0.4-alt1
- New version released

* Fri Jul 13 2001 Grigory Milev <week@altlinux.ru> 5.0.2-alt1
- First build for Sisyphus

